跳转到主要内容
运营管理/计费管理相关接口
POSTBilling Management Operations起始版本 0.6同步需要认证

创建资源价格

创建资源价格

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • paramsObject必填

    请求体参数结构

    • resourceNameString必填

      资源名称

    • resourceUnitString

      资源计费单元

    • timeUnitString必填

      计费时间单元

    • pricedouble必填

      单位价格

    • accountUuidString

      账户UUID

    • dateInLongLong

      长整型时刻

    • tableUuidString

      价目表UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryPriceInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • resourceNameString必填

      资源名称

    • resourceUnitString必填

      资源计费单元

    • timeUnitString必填

      计费时间单元

    • priceDouble必填

      价格

    • dateInLongLong必填

      以长整型记录的时刻

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • tableUuidString必填

      价目表UUID

    • pciDeviceOfferingsList必填

      详情参考pciDeviceOfferings

      • priceUuidString必填

        暂无描述。

      • pciDeviceOfferingUuidString必填

        暂无描述。

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

请求地址

POST/zstack/v1/billings/prices

/zstack/v1/billings/prices

操作 ID

CreateResourcePrice

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/billings/prices' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"resourceName":"<resourceName>","resourceUnit":"<resourceUnit>","timeUnit":"<timeUnit>","price":1,"accountUuid":"<accountUuid>","dateInLong":1,"tableUuid":"<tableUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "437ade61b17e4c658844fdacfb0fc6de", "resourceName": "Volume", "resourceUnit": "1", "timeUnit": "s", "price": 2.0 } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史